[Overview][Types][Classes][Index] | Reference for unit 'GroupedEdit' (#lcl)

# TCustomAbstractGroupedEdit.DoEnter

Performs actions needed when the control is entered.

## Declaration

Source position: groupededit.pp line 207

`protected procedure TCustomAbstractGroupedEdit.DoEnter; override;`

## Description

DoEnter is an overridden procedure used to perform actions needed when the control is entered using keyboard navigation. DoEnter calls the inherited DoEnter method to signal the OnEnter event handler, and calls the SetFocus method in BaseEditor at run-time. The focus change is not performed at design-time.

## See also

TWinControl.DoEnter |  | Signals the OnEnter event handler (when assigned) when the control receives focus.